LfmHullWhiteParameterization Class Reference

Libor market model parameterization based on Hull White paper More...

`#include <ql/legacy/libormarketmodels/lfmhullwhiteparam.hpp>`

Inheritance diagram for LfmHullWhiteParameterization:
[legend]

## Public Member Functions

| LfmHullWhiteParameterization (const boost::shared_ptr< LiborForwardModelProcess > &process, const boost::shared_ptr< OptionletVolatilityStructure > &capletVol, const Matrix &correlation=Matrix(), Size factors=1)
Disposable< Matrix > | diffusion (Time t, const Array &x=Null< Array >()) const
Disposable< Matrix > | covariance (Time t, const Array &x=Null< Array >()) const
Disposable< Matrix > | integratedCovariance (Time t, const Array &x=Null< Array >()) const
Public Member Functions inherited from LfmCovarianceParameterization
| LfmCovarianceParameterization (Size size, Size factors)
Size | size () const
Size | factors () const

## Protected Member Functions

Size | nextIndexReset (Time t) const

## Protected Attributes

Matrix | diffusion_
Matrix | covariance_
std::vector< Time > | fixingTimes_
Protected Attributes inherited from LfmCovarianceParameterization
const Size | size_
const Size | factors_

## Detailed Description

Libor market model parameterization based on Hull White paper

Hull, John, White, Alan, 1999, Forward Rate Volatilities, Swap Rate Volatilities and the Implementation of the Libor Market Model (http://www.rotman.utoronto.ca/~amackay/fin/libormktmodel2.pdf)

Tests:
  the correctness is tested by Monte-Carlo reproduction of caplet & ratchet npvs and comparison with Black pricing.